Skip to main content
POST
/
exemption-certificates
Create an exemption certificate
curl --request POST \
  --url https://transaction-tax.api.in.commenda.io/api/v1/exemption-certificates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer_id": "<string>",
  "effective_date": "2023-12-25",
  "type": "SINGLE_STATE",
  "jurisdictions": [
    {
      "identification_type": "FEIN",
      "identification_number": "<string>",
      "country": "<string>",
      "state": "<string>",
      "reason": "PURPOSE_RESALE",
      "end_date": "2023-12-25",
      "is_active": true
    }
  ],
  "file_id": "<string>",
  "exemption_certificate_number": "<string>"
}
'
{
  "data": {
    "customer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "SINGLE_STATE",
    "verification_status": "<string>",
    "exemption_certificate_number": "<string>",
    "effective_date": "2023-12-25",
    "created_at": 123,
    "jurisdictions": [
      {
        "country": "<string>",
        "state": "<string>",
        "reason": "PURPOSE_RESALE",
        "is_active": true,
        "end_date": "2023-12-25",
        "identification_type": "FEIN",
        "identification_number": "<string>",
        "is_expired": true,
        "created_at": 123
      }
    ]
  },
  "message": "Successfully created exemption certificate."
}

Request body

customer_id
string
required
The unique identifier of the customer this exemption certificate belongs to.
file_id
string
The unique identifier of the file associated with this exemption certificate (e.g., scanned certificate document).
effective_date
string
required
The date when the exemption certificate becomes effective. Format: ISO 8601 date (YYYY-MM-DD).
type
string
required
The type of exemption certificate. Valid values:
  • SINGLE_STATE: Certificate valid for a single state (maximum 1 jurisdiction)
  • MULTI_STATE: Certificate valid for multiple states
  • BLANKET: Blanket exemption certificate
exemption_certificate_number
string
The certificate number assigned by the issuing authority. Maximum 20 characters.
jurisdictions
array
required
Array of jurisdiction exemptions. Must contain at least one jurisdiction.

Response

data
object
message
string
Success message.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
customer_id
string
required

The unique identifier of the customer.

effective_date
string<date>
required

ISO 8601 formatted date string indicating the effective date.

type
enum<string>
required

Enum representing the type of the exemption certificate (Streamlined Sales Tax, Multistate Tax Commission, or single state). More details here.

Available options:
SINGLE_STATE,
SST,
MTC
jurisdictions
object[]
required
file_id
string

Identifier of the file to use as the exemption certificate.

exemption_certificate_number
string

The exemption certificate number.

Maximum string length: 20

Response

Successful exemption certificate creation

data
object
message
string
Example:

"Successfully created exemption certificate."